/**
	\file 		CompassDriveII.h
	\author 	Amory Galili: last changed by $Author: dspicuzz $
	\date 		Last changed on $Date: 2009-03-09 22:00:30 -0400 (Mon, 09 Mar 2009) $
	\version 	$Rev: 291 $
*/


#ifndef COMPASSDRIVE_II_H
#define COMPASSDRIVE_II_H

#include "../KwarqsLib/KwarqsNosePointer.h"
#include "../KwarqsLib/KwarqsConstants.h"
#include "../KwarqsLib/KwarqsMovementControl.h"
#include "../KwarqsLib/PositionInformation.h"
#include "../KwarqsLib/KwarqsJoystick.h"
#include "../KwarqsLib/DelayEvent.h"

/**
	\class CompassDriveII
	\brief A very simple control system to demonstrate that things work
*/
class CompassDriveII : public KwarqsMovementControl {
public:

	// constructor
	CompassDriveII(KwarqsDriveController * driveController);

	/// required method
	void Move();
	
	/// required method
	const char * Name() { return "CompassDriveII"; }
	
private:

	double CalculateSpeed();
	double CalculateWheelDirection();
	double controllerCompass();
	double robotCompass();


	// joystick used for control
	KwarqsJoystick m_stick;
	KwarqsJoystick m_stick2;
	
	PositionInformation * m_position;
	
	KwarqsNosePointer m_nosePointer;
	
	DelayEvent 	m_motorDelay;
	double m_lastSpeed;
};

#endif

