/**
	\file 		Deleter.h
	\author 	Dustin Spicuzza: last changed by $Author: dspicuzz $
	\date 		Last changed on $Date: 2009-03-09 22:00:30 -0400 (Mon, 09 Mar 2009) $
	\version 	$Rev: 291 $
*/

#ifndef KWARQSLIB_DELETER_H
#define KWARQSLIB_DELETER_H

/// this class is used to delete arbitrary pointers on destruction
template <typename T>
struct Deleter {
	
	Deleter(T ** ptr) : 
		m_ptr(ptr) 
	{}
	
	~Deleter() {
		if (*m_ptr)
			delete *m_ptr;
	}
	
	T ** m_ptr;
};

#endif
